# Created by pyp2rpm-3.3.8
%global pypi_name grpcio-status
%global srcname grpcio_status

Name:           python-%{pypi_name}
Version:        1.64.1
Release:        %mkrel 4
Summary:        Status proto mapping for gRPC
Group:          Development/Python
License:        Apache License 2.0
URL:            https://grpc.io
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Reference package for GRPC Python status proto mapping.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:	python3-%{srcname} < 1.64.1-3

%description -n python3-%{pypi_name}
Reference package for GRPC Python status proto mapping.

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files grpc_status

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 1.64.1-4.mga10
+ Revision: 2158258
- rebuild for python3.13

* Sun Jun 30 2024 wally <wally> 1.64.1-3.mga10
+ Revision: 2078227
- fix and normalize pkg names to follow PEP 503
+ papoteur <papoteur>
- new version 1.64.1

* Mon Dec 18 2023 papoteur <papoteur> 1.48.0-2.mga10
+ Revision: 2019136
- Mass Rebuild - Python 3.12

* Mon Aug 08 2022 wally <wally> 1.48.0-1.mga9
+ Revision: 1876180
- imported package python-grpcio-status

